Subject: bug#21428: 24.5; Crash of emacs on OS X, installed via homebrew cask

From: Eli Zaretskii <[email-masked]>
Date: Thu, 22 Oct 2015 23:08:50 +0300

> Date: Thu, 22 Oct 2015 22:04:08 +0200
> From: Anders Lindgren <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>, [email-masked], [email-masked]
> 
> However, I noticed that a number of NextStep callback functions start with the
> following code sequence:
> 
> if (!emacsframe->output_data.ns)
> return;
> 
> If `ns' is NULL it would account for the crash. I don't see why we can't add it
> to the windowDidResize: method as well.
> 
> Finally a reservation, I'm still learning the NS code base and I don't know
> under which circumstances the `ns' field is NULL.

Based on what happens in other GUI display backends, I'm guessing that
'ns' being NULL means the frame is not a GUI frame, but either a
text-mode frame or the "initial" frame (the latter happens in batch
mode and in the daemon mode, assuming the NS port supports it).